microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Cancel an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Parámetros de la ruta de acceso
agent_name
string
requerido
The name of the agent.
invocation_id
string
requerido
The unique identifier of the invocation to cancel.
Parámetros de encabezado
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Cuerpo de la solicitud
Optional request body.
Content-Type: */*
Respuestas
The request has succeeded.
Encabezados
x-agent-session-id
string
requerido
Session ID for this invocation. Returns the session ID associated with the invocation.
Cuerpo
Content-Type: */*
Solicitar
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
Respuesta
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json